# class RepositoriesController

### Public Instance Methods

archive() click to toggle source

    # File app/controllers/repositories_controller.rb, line 19
    def archive
      unless can?(current_user, :download_code, @project)
        render_404 and return
      end

      file_path = @project.archive_repo(params[:ref])

      if file_path
        # Send file to user
        send_file file_path
      else
        render_404
      end
    end

branches() click to toggle source

    # File app/controllers/repositories_controller.rb, line 11
    def branches
      @branches = @project.branches
    end

show() click to toggle source

    # File app/controllers/repositories_controller.rb, line 7
    def show
      @activities = @project.commits_with_refs(20)
    end

tags() click to toggle source

    # File app/controllers/repositories_controller.rb, line 15
    def tags
      @tags = @project.tags
    end